class_name BallCoursePuzzle
extends Puzzle

@export var ball: Ball
@export var traps: Array[GroundButton]

func _process(delta):
	var is_finished = true
	
	if ball != null:
		is_finished = false

	if is_finished:
		complete()
		
func reset():
	ball.reset()
	for trap in traps:
		trap.reset()
